# ostream_insert.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file ostream_insert.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _OSTREAM_INSERT_H

## Functions

- template<typename _CharT, typename _Traits> void std::__ostream_fill (basic_ostream< _CharT, _Traits > &__out, streamsize __n)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & std::__ostream_insert (basic_ostream< _CharT, _Traits > &__out, const _CharT *__s, streamsize __n)
- template<typename _CharT, typename _Traits> void std::__ostream_write (basic_ostream< _CharT, _Traits > &__out, const _CharT *__s, streamsize __n)